System.Design 1.0.5000.0 2.0.0.0 System.Drawing.Design.UITypeEditor

The provides a design-time user interface for configuring an property. An property is typically used to determine which sides of the container a control is bound to. This class provides a drop-down graphical control that allows the user to specify which sides of the container to anchor the control to.

Provides a user interface for configuring an property.

- Constructor
  To be added.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Object `` `` ``

  A service provider is provided so that any required editing services can be obtained.

  Edits the value of the specified object using the specified service provider and context.

  The new value of the object. If the value of the object hasn't changed, this should return the same object it was passed.

  An that can be used to gain additional context information. An through which editing services may be obtained. An instance of the value being edited. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Design.UITypeEditorEditStyle `` To be added.

  Gets the editor style used by the method.

  One of the values indicating the provided editing style. If the method is not supported, this method will return .

  An that can be used to gain additional context information. 1.0.5000.0 2.0.0.0